/**********************************************************************************/
/*    Basecode for Discovery 32F4 board											  */
/*	  Board: STM32F407 Discovery				             					  */
/*    Manufacture: ST		                                                   	  */
/*	  COPYRIGHT (C) 2012		Ing. Thomas Winkler	<t.winkler@aon.at>			  */
/*	  Copyright (C) 2007-2012	Ingo Korb 			<ingo@akana.de>				  */
/*    Built with CooCox CoIDE v1.5.0  					                          */
/**********************************************************************************/
/* This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; version 2 of the License only.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


   f_io.h: Definitions for the FAT operations
*/

#ifndef F_IO_H_
#define F_IO_H_


//#include <stdio.h>

typedef	unsigned int	size_t;


//#define	_USE_LFN
//#define	EOF -1
#define feof(fp) ((fp)->fptr == (fp)->fsize)


int fputc (int, FIL*);                              /* Put a character to the file */
int fputs (const char*, FIL*);                      /* Put a string to the file */
int fprintf (FIL*, const char*, ...);               /* Put a formatted string to the file */
char* fgets (char*, int, FIL*);                     /* Get a string from the file */

size_t fread(void *ptr, size_t size, size_t nmemb, FIL *stream);
size_t fwrite(const void *ptr, size_t size, size_t nmemb, FIL *stream);



#endif
