/**********************************************************************************/
/*    Sample code for Discovery 32F4 board										  */
/*	  Board: STM32F407 Discovery				             					  */
/*    Manufacture: ST		                                                   	  */
/*	  COPYRIGHT (C) 2012														  */
/*    Designed by: Ing. Thomas Winkler			                                  */
/*    Built with CooCox CoIDE v1.5.0  					                          */
/**********************************************************************************/

#ifndef BLINK_H_
#define BLINK_H_





// output bits in virtual VIA
#define	ATN_OUT			0x1
#define	DATA_OUT_VIA	0x2
#define	ACK_OUT_VIA		0x10
#define	CLK_OUT_VIA		0x8

// input bits in virtual VIA
#define	ATN_IN_VIA		0x80
#define	DATA_IN_VIA		0x1
#define	CLK_IN_VIA		0x4
#define	ALL_IN_VIA		(ATN_IN_VIA | DATA_IN_VIA | CLK_IN_VIA)





void BlinkExpIni(void);
void ResetLEDs(void);

int BlinkExpLoop1(void);
int BlinkExpLoop2(void);
int BlinkExpLoop3(void);



void GpioDriveLED(uint8_t stat);
void GpioMotorLED(uint8_t stat);
void GpioWriteLED(uint8_t stat);
void GpioDebugLED(uint8_t stat);


void GpioIecOut(uint8_t stat);
uint8_t GpioIecIn(void);


#endif


