/**********************************************************************************/
/*    Sample code for Discovery 32F4 board										  */
/*	  Board: STM32F407 Discovery				             					  */
/*    Manufacture: ST		                                                   	  */
/*	  COPYRIGHT (C) 2012														  */
/*    Designed by: Ing. Thomas Winkler			                                  */
/*    Built with CooCox CoIDE v1.5.0  					                          */
/**********************************************************************************/
#include "discovery.h"
#include "blink.h"
#include "sTimer.h"



#define	_DELAY		400




void BlinkExpIni()
{
	InitDiscovery();
}



//
// blink all LED's
//
void BlinkExpLoop1()
{

	/* Output high level */
	SetLED(ALL_LEDS, 1);
	Delay_Ms(_DELAY);

	/* Delay some time */
	SetLED(ALL_LEDS, 0);
	Delay_Ms(_DELAY);
}


//
// Set all LED's, shift left, right
//
void BlinkExpLoop2()
{
	uint16_t	bits;
	int 		i;

	bits = ALL_LEDS;
	for(i=0; i<LED_CNT +1; ++i)
	{
		SetLED(bits, 2);
		Delay_Ms(_DELAY);
		bits <<= 1;
	}

	bits = 0;
	for(i=0; i<LED_CNT -1; ++i)
	{
		bits |= LED_BLUE;
		SetLED(bits, 2);
		Delay_Ms(_DELAY);
		bits >>= 1;
	}

	bits = ALL_LEDS;
	for(i=0; i<LED_CNT +1; ++i)
	{
		SetLED(bits, 2);
		Delay_Ms(_DELAY);
		bits >>= 1;
	}

	bits = 0;
	for(i=0; i<LED_CNT; ++i)
	{
		bits |= LED_GREEN;
		SetLED(bits, 2);
		Delay_Ms(_DELAY);
		bits <<= 1;
	}
}


//
// move all LEDs to left or right
//
void BlinkExpLoop3()
{
	uint16_t	bits;
	int 		i;

	bits = LED_GREEN;
	for(i=0; i<LED_CNT; ++i)
	{
		SetLED(bits, 2);
		Delay_Ms(_DELAY);
		bits <<= 1;
	}
}
